v1.0.0
OpenAPI 3.1.0

Get a segment

US region

Client Libraries

Get a segment

Return information about a segment.

Path Parameters
  • segment_id
    Type: integerFormat: int32
    required

    The identifier for a segment. You can find your segment's ID on its page in the dashboard—go to Segments, select your segment, and find the ID under Usage. Or you can find your segment using the App API.

Responses
  • application/json
  • 404

    The segment_id does not exist.

  • 429

    Your request is over the 10-per-second limit.

Request Example for get/v1/segments/{segment_id}
curl https://api.customer.io/v1/segments/1 \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "segment": {
    "id": 7,
    "deduplicate_id": "15:1492548073",
    "name": "Manual Segment 1",
    "description": "My first manual segment",
    "state": "events",
    "progress": null,
    "type": "manual",
    "tags": null,
    "created_at": 1552341937,
    "updated_at": 1552341937
  }
}